# Uses of Class
org.eclipse.mat.snapshot.Histogram

Packages that use Histogram
Package
Description
org.eclipse.mat.parser.internal
Implementations for building the snapshot (not API).
org.eclipse.mat.parser.internal.snapshot
Utilities for performing basic operations on the snapshot (not API).
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.
org.eclipse.mat.snapshot.query
Utilities to develop heap dump queries.
org.eclipse.mat.ui.snapshot.panes
Panes for display in the editor for histograms, GC paths, comparisons - user interface (not API).

## Uses of Histogram in org.eclipse.mat.parser.internal

Methods in org.eclipse.mat.parser.internal that return Histogram
Modifier and Type
Method
Description
`Histogram`
SnapshotImpl.`getHistogram(int[] objectIds, IProgressListener progressMonitor)`
`Histogram`
SnapshotImpl.`getHistogram(IProgressListener listener)`

## Uses of Histogram in org.eclipse.mat.parser.internal.snapshot

Methods in org.eclipse.mat.parser.internal.snapshot that return Histogram
Modifier and Type
Method
Description
`Histogram`
HistogramBuilder.`toHistogram(SnapshotImpl snapshot, boolean isDefaultHistogram)`

## Uses of Histogram in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return Histogram
Modifier and Type
Method
Description
`Histogram`
Histogram.`diffWithBaseline(Histogram baseline)`
Compute a new histogram as difference of this histogram compared to (minus) the given baseline histogram.
`Histogram`
Histogram.ClassLoaderTree.`getHistogram()`
`Histogram`
Histogram.PackageTree.`getHistogram()`
`Histogram`
Histogram.SuperclassTree.`getHistogram()`
`Histogram`
ISnapshot.`getHistogram(int[] objectIds, IProgressListener progressListener)`
Get histogram for some specific objects - usually the result of other calls to the snapshot.
`Histogram`
ISnapshot.`getHistogram(IProgressListener progressListener)`
Get histogram for the whole snapshot.
`Histogram`
Histogram.`intersectWithAnother(Histogram another)`
Compute a new histogram as intersection of this histogram compared to (equals) the given another histogram.
Methods in org.eclipse.mat.snapshot with parameters of type Histogram
Modifier and Type
Method
Description
`Histogram`
Histogram.`diffWithBaseline(Histogram baseline)`
Compute a new histogram as difference of this histogram compared to (minus) the given baseline histogram.
`static String`
Histogram.`generateClassHistogramRecordCsvReport(Histogram histogram, Comparator<HistogramRecord> comparator)`
Generate machine/human readable comma separated report from an histogram.
`static String`
Histogram.`generateClassHistogramRecordTextReport(Histogram histogram, Comparator<HistogramRecord> comparator)`
Generate human readable text based report from a histogram.
`static String`
Histogram.`generateClassLoaderHistogramRecordCsvReport(Histogram histogram, Comparator<HistogramRecord> comparator)`
Generate machine/human readable comma separated report from an histogram.
`Histogram`
Histogram.`intersectWithAnother(Histogram another)`
Compute a new histogram as intersection of this histogram compared to (equals) the given another histogram.
Constructors in org.eclipse.mat.snapshot with parameters of type Histogram
Modifier
Constructor
Description
``
`ClassLoaderTree(Histogram histogram)`
``
`PackageTree(Histogram histogram)`
``
`SuperclassTree(Histogram histogram, ISnapshot snapshot)`

## Uses of Histogram in org.eclipse.mat.snapshot.query

Methods in org.eclipse.mat.snapshot.query that return Histogram
Modifier and Type
Method
Description
`Histogram`
HistogramResult.`getHistogram()`
Deprecated.
Constructors in org.eclipse.mat.snapshot.query with parameters of type Histogram
Modifier
Constructor
Description
``
`HistogramResult(Histogram histogram)`
Deprecated.

## Uses of Histogram in org.eclipse.mat.ui.snapshot.panes

Methods in org.eclipse.mat.ui.snapshot.panes that return Histogram
Modifier and Type
Method
Description
`Histogram`
HistogramPane.`getHistogram()`